#cloud-config

package_update: true
package_upgrade: true

packages:
  - curl
  - jq
  - git

runcmd:
  - "curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -s -- -y"
  - "source \"$HOME/.cargo/env\""
  - "curl -fsSL https://code-server.dev/install.sh | sh"
  - "mkdir -p  /root/.config/code-server/"
  - "echo 'bind-addr: 0.0.0.0:8080\nauth: password\npassword: yfB4W23G\ncert: false\n' > /root/.config/code-server/config.yaml"
  - "systemctl enable --now code-server@$USER"

